Package com.enonic.xp.content

## Class CreateContentParams.Builder

- java.lang.Object
- - com.enonic.xp.content.CreateContentParams.Builder

- Enclosing class:
    CreateContentParams

      public static final class CreateContentParams.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CreateContentParams.Builder` | `addProcessedIds​(ContentIds processedIds)` |
    `CreateContentParams` | `build()` |
    `CreateContentParams.Builder` | `childOrder​(ChildOrder childOrder)` |
    `CreateContentParams.Builder` | `contentData​(PropertyTree data)` |
    `CreateContentParams.Builder` | `contentPublishInfo​(ContentPublishInfo info)` |
    `CreateContentParams.Builder` | `createAttachments​(CreateAttachments createAttachments)` |
    `CreateContentParams.Builder` | `displayName​(String displayName)` |
    `CreateContentParams.Builder` | `extraDatas​(ExtraDatas extraDatas)` |
    `CreateContentParams.Builder` | `inheritPermissions​(boolean inheritPermissions)` |
    `CreateContentParams.Builder` | `language​(Locale language)` |
    `CreateContentParams.Builder` | `name​(ContentName name)` |
    `CreateContentParams.Builder` | `name​(String name)` |
    `CreateContentParams.Builder` | `owner​(PrincipalKey owner)` |
    `CreateContentParams.Builder` | `parent​(ContentPath parentContentPath)` |
    `CreateContentParams.Builder` | `permissions​(AccessControlList permissions)` |
    `CreateContentParams.Builder` | `refresh​(boolean refresh)` |
    `CreateContentParams.Builder` | `requireValid​(boolean requireValid)` |
    `CreateContentParams.Builder` | `type​(ContentTypeName type)` |
    `CreateContentParams.Builder` | `workflowInfo​(WorkflowInfo workflowInfo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### contentData

          public CreateContentParams.Builder contentData​(PropertyTree data)

    - #### extraDatas

          public CreateContentParams.Builder extraDatas​(ExtraDatas extraDatas)

    - #### type

          public CreateContentParams.Builder type​(ContentTypeName type)

    - #### owner

          public CreateContentParams.Builder owner​(PrincipalKey owner)

    - #### displayName

          public CreateContentParams.Builder displayName​(String displayName)

    - #### name

          public CreateContentParams.Builder name​(ContentName name)

    - #### name

          public CreateContentParams.Builder name​(String name)

    - #### parent

          public CreateContentParams.Builder parent​(ContentPath parentContentPath)

    - #### requireValid

          public CreateContentParams.Builder requireValid​(boolean requireValid)

    - #### permissions

          public CreateContentParams.Builder permissions​(AccessControlList permissions)

    - #### inheritPermissions

          public CreateContentParams.Builder inheritPermissions​(boolean inheritPermissions)

    - #### createAttachments

          public CreateContentParams.Builder createAttachments​(CreateAttachments createAttachments)

    - #### childOrder

          public CreateContentParams.Builder childOrder​(ChildOrder childOrder)

    - #### language

          public CreateContentParams.Builder language​(Locale language)

    - #### refresh

          public CreateContentParams.Builder refresh​(boolean refresh)

    - #### contentPublishInfo

          public CreateContentParams.Builder contentPublishInfo​(ContentPublishInfo info)

    - #### addProcessedIds

          public CreateContentParams.Builder addProcessedIds​(ContentIds processedIds)

    - #### workflowInfo

          public CreateContentParams.Builder workflowInfo​(WorkflowInfo workflowInfo)

    - #### build

          public CreateContentParams build()